﻿.window-background {
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    min-width: 100%;
    min-height: 100%;
    top: 0;
    left: 0;
    z-index: 99999;
}

.window {
    /*background-color: #9995cc;*/ /*IE Fallback*/
    /*background-color: var(--main-color-modal-window-title);*/
    background-image: url("../img/musterkanten.png");
    background-position: top;
    box-shadow: 0px 0px 10px #9995cc; /*IE Fallback*/
    box-shadow: 0px 0px 10px var(--main-color-modal-window-title);
    border: 1px solid #9995cc; /*IE Fallback*/
    border: 1px solid var(--main-color-modal-window-title);
    min-width: 700px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    border-radius: 4px;
}

/*@media(max-width:1060px) {
    .window {
        min-width:0px;
    }
}*/

.window-content .panel-heading {
    border-radius: 0px;
    background-color: inherit;
    border-color: inherit;
}

.window-content .panel-default {
    border-radius: 0px;
    background-color: inherit;
}

.window-content .panel {
    margin-bottom: 0px;
}

.panel-default-custom {
    background-color: #e9ebf7;
    border: 1px solid transparent;
    -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05);
    box-shadow: 0 1px 1px rgba(0,0,0,.05);
}

.window-heading {
    padding: 5px;
    margin: 0;
}

.window-head {
	display: flex;
	padding: 3px;
    height: 22px;
}

.window-body {
    height: 100%;
    overflow: auto;
    background-color: rgba(255, 255, 255, 0.85); /*IE Fallback*/
    background-color: var(--main-color-modal-window-content);
}

    .window-body .window-button-OK_BUTTON {
        margin-bottom: 15px;
    }

    .window-body .window-button-CANCEL_BUTTON {
        margin-right: 15px;
    }

.window-content {
    width: 100%;
    box-shadow: 0px 0px 5px rgba(255,255,255,0.21);
    max-height: 80vh;
    overflow-x: hidden;
    overflow-y: auto;
    border-radius: 0px 0px 4px 4px;
}

@media (max-width:700px) {
    .window {
        width: 98%;
        min-width: 0px;
    }

    .window .window-content {
        padding: 0px;
    }

    .window .panel-body {
        padding-left: 0px;
        padding-right: 0px;
    }
}

.window-buttons {
	float: right;
	display: flex;
	margin-bottom: 1px;
}

.window-title {
	width: 100%;
}

.window-fullscreen {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	transform: translateX(0%) translateY(0%);
	z-index: 100000;
}

.window-body-fullscreen {
	position: relative;
	height: 100%;
	width: 100%;
}

.window-button-close { 
    background-color: transparent;
    border: inherit;
    color: white;
    margin-left: 2px;
    max-height: 25px;
    border-radius: 3px;
    font-size: 12px;
    display: table-cell;
    vertical-align: middle;
    outline: none;
}

    .window-button-close:hover {
        background-color: #9995cc; /*IE Fallback*/
        background-color: var(--main-color-modal-window-title);
        border: 1px solid inherit;
        color: red;
    }

.window-button-fullscreen {
	background-color: rgba(255,255,255,0.75);
	border: 1px solid white;
	color: black;
	max-height: 25px;
	border-radius: 3px;
}

	.window-button-fullscreen:hover {
		background-color: rgba(255,255,255,1);
		border: 1px solid rgba(255,255,255,0.1);
	}


.window-table-bordered {
    border: 1px solid #969696;
    border-radius: 4px;
}

.horizontalRule {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
    margin-bottom: 0px;
    margin-top: 10px;
}